Get template
curl --request GET \
--url https://vortexpdf.com/api/v1/templates/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://vortexpdf.com/api/v1/templates/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vortexpdf.com/api/v1/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"content": "<h1>Invoice</h1><p>This is a sample invoice template</p>",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"inserted_at": "2020-01-01T00:00:00Z",
"name": "Invoice Template",
"preview_context": {
"amount": 1000,
"customer": "Acme Inc."
},
"updated_at": "2020-01-01T00:00:00Z"
}
}{
"error": "unauthorized",
"message": "Authentication required to access this resource"
}{
"error": "unauthorized",
"message": "Authentication required to access this resource"
}{
"error": {
"message": "<string>"
}
}Templates
Get template
Get a template by ID
GET
/
api
/
v1
/
templates
/
{id}
Get template
Authorizations
Manage your API keys at https://vortexpdf.com/api-keys
Path Parameters
Template ID
Response
Template response
Response schema for a single template
A template object
Show child attributes
Show child attributes
Example:
{
"content": "<h1>Invoice</h1><p>This is a sample invoice template</p>",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"inserted_at": "2020-01-01T00:00:00Z",
"name": "Invoice Template",
"preview_context": { "amount": 1000, "customer": "Acme Inc." },
"updated_at": "2020-01-01T00:00:00Z"
}
⌘I